
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import java.util.Arrays;
import java.util.List;

import javax.inject.Inject;

import de.ivu.elect.business.benutzerverwaltung.entity.RolleConstants;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.benutzerverwaltung.RolleCreateView;
import de.ivu.elect.presentation.benutzerverwaltung.exchange.BenutzerImportFormatFestlegenView;
import de.ivu.elect.presentation.benutzerverwaltung.exchange.RolleExportView;
import de.ivu.elect.presentation.benutzerverwaltung.exchange.RolleImportBestaetigenView;
import de.ivu.elect.presentation.benutzerverwaltung.exchange.RolleImportSearchView;

public class RolleMenuItemEntry extends AbstractRolleMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private RolleSearchMenuItemEntry rolleSearchMenuItemEntry;

  public RolleMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return rolleSearchMenuItemEntry.getUseCasePermission();
  }

  @Override
  public String getTargetViewId() {
    return rolleSearchMenuItemEntry.getTargetViewId();
  }

  @Override
  protected List<String> getAdditionalTopicViewIds() {
    return Arrays.asList(RolleCreateView.VIEW_ID, RolleImportSearchView.VIEW_ID,
        BenutzerImportFormatFestlegenView.VIEW_ID, RolleImportBestaetigenView.VIEW_ID, RolleExportView.VIEW_ID);
  }

  @Override
  public String getLabelKey() {
    return RolleConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }

  @Override
  public String getIcon() {
    return getIcons().getIconContact();
  }
}
